piix_check_450nx_errata
Prev | Chapter 8. ata_piix Internals | Next

## Name

piix_check_450nx_errata — Check for problem 450NX setup

## Synopsis

`int piix_check_450nx_errata (` | struct pci_dev * | ata_dev`)`;

## Arguments

`ata_dev`

  the PCI device to check

## Description

Check for the present of 450NX errata #19 and errata #25. If they are found return an error code so we can turn off DMA

Prev | Up | Next
ich_set_dmamode | Home | piix_init_one